Subject: Re: [Fwd: NISSC panel session]

From: Ken Raeburn <[email-masked]>
Date: 02 Oct 2000 16:34:51 -0400

Well, it looks like AES has been chosen: Rijndael.
For us English-only-speakers, remembering how to spell and pronounce
it is going to be a pain in the butt. :-)

Since they've chosen one algorithm only, it makes sense to reserve a
number for "aes".  Well, aes-cbc-sha1(-kd) and hmac-sha1-aes(-kd), or
whatever.  (Actually, would HMAC without key derivation really care
about the encryption algorithm normally used with the key?  IIRC it's
only using the key's data bits.  If not, maybe "hmac-sha1-des3", which
doesn't use key derivation, should be renamed to "hmac-sha1".)

Unless someone else is really champing at the bit, I'll probably table
the Twofish code I was hacking on and start putting together a
proposal and implementation.

Ken